From: <a href="/blend/av.cgi?id=1716">Sarah143</a><BR>
Date: 12 April 2004<P>

Echolocation, about <a href="/blend/wv.cgi?id=2004.06.14.17.33.25548">If It's a Rose</a>:<BR>
This poem is fluid to me, it is lyrical and beautiful, it runs smoothly like the waves of his many songs.
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 12 April 2006<P>

briana kassia, about <a href="/blend/wv.cgi?id=2006.04.12.10.17.26611">A Love Letter</a>:<BR>
this is so very beautiful!  good for you to have found what you now have.  here's hoping to a forever for you.
<HR>
From: <a href="/blend/av.cgi?id=1348">blakey</a><BR>
Date: 12 April 2004<P>

Echolocation, about <a href="/blend/wv.cgi?id=2004.06.14.17.33.25548">If It's a Rose</a>:<BR>
<BR>
Your timing of posting this poem as it impacts my personal life couldn't have been better. Thank you so very much. 
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 12 April 2006<P>

Doo Do Do Do; I think we've entered the Twilight Zone Kirk take a look at the dates on blakeys comment and the one above the next.....2004....how does this happen ha<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=186">briana kassia</a><BR>
Date: 12 April 2006<P>

oooOOOOooohhh... scary stuff!!!<BR>
<BR>
And Aparajita, thank you. That started out as a blog entry to my sister when i realised I really needed to say these things to him... once the letter was written, I kinda wanted to share it... :)
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 12 April 2006<P>

Sarah143, about <a href="/blend/wv.cgi?id=2006.04.11.17.20.20620">Dreamer</a>: This is beautiful Sarah. Welcome to the blender if you are new here. But how did you get the 2004 on your comment? Tiz a puzzle.<BR>
<BR>
bk<BR>

<HR>